### Function

# Vips Interpretation bands

#### Declaration [src]

    int
    vips_interpretation_bands (
      VipsInterpretation interpretation
    )

#### Description [src]

The number of “real” bands we expect for this interpretation. If we’ve no idea (eg. MULTIBAND), return 0.

#### Parameters

`interpretation`

  Type: `VipsInterpretation`

  Image to check.

#### Return value

Type: `int`

The number of bands implied by this interpretation, or 0.